> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Price Zone

> Get load curves aggregated by price zone instead of by organization.
This endpoint aggregates consumption data from all devices with the specified price_zone.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurve/pricezone/{price_zone_key}
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurve/pricezone/{price_zone_key}:
    get:
      tags:
        - Loadcurves
      summary: Get By Price Zone
      description: >-
        Get load curves aggregated by price zone instead of by organization.

        This endpoint aggregates consumption data from all devices with the
        specified price_zone.
      operationId: >-
        integrations_api_api_v2_organizations_trading_dayahead_load_curves_router_get_by_price_zone
      parameters:
        - in: query
          name: resolution
          schema:
            enum:
              - 15MIN
              - 1HOUR
            title: Resolution
            type: string
          required: true
        - in: query
          name: day
          schema:
            format: date
            title: Day
            type: string
          required: true
        - in: query
          name: keywords
          schema:
            description: >-
              Supported Keywords: ['unoptimized_load_curve',
              'optimized_load_curve']
            title: Keywords
            type: string
          required: true
          description: >-
            Supported Keywords: ['unoptimized_load_curve',
            'optimized_load_curve']
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: price_zone_key
          schema:
            description: The price zone to aggregate data for
            title: Price Zone Key
            type: string
          required: true
          description: The price zone to aggregate data for
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSuccess'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetNotFound'
      security:
        - OAuth2: []
components:
  schemas:
    GetSuccess:
      properties:
        metadata:
          $ref: '#/components/schemas/GetMetadata'
        data:
          $ref: '#/components/schemas/GetData'
      required:
        - metadata
        - data
      title: GetSuccess
      type: object
    GetNotFound:
      properties:
        metadata:
          $ref: '#/components/schemas/GetMetadata'
        trade_id:
          title: Trade Id
          type: 'null'
      required:
        - metadata
      title: GetNotFound
      type: object
    GetMetadata:
      properties:
        requested_at:
          format: date-time
          title: Requested At
          type: string
        query:
          $ref: '#/components/schemas/GetQuery'
        trade_id:
          format: uuid
          title: Trade Id
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - requested_at
        - query
        - trade_id
      title: GetMetadata
      type: object
    GetData:
      properties:
        optimized_load_curve:
          anyOf:
            - items:
                $ref: '#/components/schemas/DataPoint'
              type: array
            - type: 'null'
          title: Optimized Load Curve
        unoptimized_load_curve:
          anyOf:
            - items:
                $ref: '#/components/schemas/DataPoint'
              type: array
            - type: 'null'
          title: Unoptimized Load Curve
      title: GetData
      type: object
    GetQuery:
      properties:
        org_id:
          format: uuid
          title: Org Id
          type: string
        resolution:
          $ref: '#/components/schemas/SupportedResolutions'
        day:
          format: date
          title: Day
          type: string
        keywords:
          items:
            type: string
          title: Keywords
          type: array
      required:
        - org_id
        - resolution
        - day
        - keywords
      title: GetQuery
      type: object
    DataPoint:
      properties:
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        energy:
          title: Energy
          type: number
      required:
        - timestamp
        - energy
      title: DataPoint
      type: object
    SupportedResolutions:
      enum:
        - 15MIN
        - 1HOUR
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````